<?php define('WEARNINGS', 1); 
define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
foreach (array('starting', 'worldcms', 'compress', 'function', 'account') as $kernel){
	require_once H.'kernel/' . $kernel . '.php'; }

if (isset($user))$ank['id']=$user['id']; 
if (isset($_GET['id']))$ank['id']=intval($_GET['id']); 
$ank = get_user($ank['id']); 
if(!$ank){header("Location: /index.php?".SID);exit;}
elseif ($ank['id']==0) {header("Location: /index.php?".SID);exit;}
    $ank = get_user($ank['id']); 

$set['title'] = $ank['nick'].' - страничка '; // заголовок страницы 
require_once H.'kernel/switch/header.php'; 
title().aut(); 

if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>";
echo "<div class='nav1'>";
echo 'Ник'.user::nick($ank['id'],1);
if (isset($user) && $user['id']==$ank['id']) { 
 echo " [<img src='/kernel/icons/edit.gif' alt='*' /> <a href='/user/info/settings.php'>настройки</a>]";
} 
echo "</div>"; 
if ($user['level']>$ank['level'])
{ 
if (user_access('user_prof_edit'))
echo "<div class='nav2'><img src='/kernel/icons/Flame.png'> <a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a></div>";
    
if ($user['id']!=$ank['id'])
{
if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
echo "<div class='nav2'><img src='/kernel/icons/Flame.png'> <a href='/adm_panel/ban.php?id=$ank[id]'>Нарушения (бан)</a></div>";

}
}
if (user_access('adm_log_read') && $ank['level']!=0 && ($ank['id']==$user['id'] || $ank['level']<$user['level']))
echo "<div class='nav1'><img src='/kernel/icons/Flame.png'> <a href='/adm_panel/adm_log.php?id=$ank[id]'>Отчет по администрированию</a></div>";

require_once H.'kernel/switch/footer.php'; 
?>